BUS_DELAYED_ATTACH_CHILDREN(9)

NAME
bus_delayed_attach_children - request that the children be attached when interrupts are enabled

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>

int
bus_delayed_attach_children(device_t dev);

DESCRIPTION
The bus_delayed_attach_children() function requests that the children of this device be attached when interrupts are running. If interrupts are currently running, this happens immediately. If interrupts are not yet running, this happens after interrupts are enabled, but before the system mounts root.

RETURN VALUES
A zero return value indicates success.

SEE ALSO
bus(9), device(9), driver(9)

AUTHORS
This manual page was written by Warner Losh <imp@FreeBSD.org>.